Bug 506562 - Phantom overlapping monitors are confusing metacity, apps
Phantom overlapping monitors are confusing metacity, apps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 14:30 EDT by Jeremy Fitzhardinge
Modified: 2014-12-15 13:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:06:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log (146.58 KB, text/plain)
2009-07-01 01:58 EDT, Jeremy Fitzhardinge
no flags Details

  None (edit)
Description Jeremy Fitzhardinge 2009-06-17 14:30:47 EDT
Description of problem:
The window manager seems confused about full screen size.  If I maximize a window, or hit F11 to make an app full screen, it goes to 1024x768.  My screen is actually 1280x800, so it only fills the upper-left corner.  Similarly, little pop-up messages appear at the corner of 1024x768.

Version-Release number of selected component (if applicable):
system-config-display-1.1.3-2.fc11.noarch
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Open f-spot
2.Hit F11 to maximize screen
3.
  
Actual results:
Goes "full screen" to 1024x768 window

Expected results:
Should cover whole 1280x800 screen

Additional info:

system-config-display shows two phantom 1024x768 monitors which overlap my main laptop display.  Removing them appears to fix the problem, but it is awkward to do so.  I need to disable one, restart the panel, and then disable the other.  The monitors jump around in relation to the main display.  I haven't tried restarting to see if this "sticks".

xrandr -q shows:
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1280x800       60.0*+   50.0  
DVI1 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
DVI2 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9
Comment 1 Adam Jackson 2009-06-19 14:55:01 EDT
This is an output detection bug, not an s-c-d bug.
Comment 2 Jeremy Fitzhardinge 2009-06-19 16:00:52 EDT
Yes, I wasn't sure what subsystem to file it under, so I filed it under the one with the most visible symptom.

The hardware is a Lenovo X200 with a GM45 chipset.
Comment 3 Ralf Ertzinger 2009-06-27 09:28:09 EDT
Same here, on an X200s:

Screen 0: minimum 320 x 200, current 1440 x 900, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1440x900+0+0 (normal left inverted right x axis y axis) 261mm x 163mm
   1440x900       50.0* 
DVI1 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
DVI2 connected (normal left inverted right x axis y axis)
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  

(this is after I manually switched both DVIs off with xrandr)

xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
Comment 4 Matěj Cepl 2009-06-30 19:55:54 EDT
Hmm, can we get /var/log/Xorg.0.log, please?
Comment 5 Jeremy Fitzhardinge 2009-07-01 01:58:41 EDT
Created attachment 350057 [details]
/var/log/Xorg.0.log
Comment 6 Matěj Cepl 2009-07-16 11:34:57 EDT
It seems to me that you should have serious problems with your mouse, but I don't see anything that terrible about your display:

bradford:~$ checkXorgLog 350057
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Keyboard0
(WW) intel(0): Unknown vendor-specific block f
(EE) intel(0): max_gtt_map_size: 48104kb.
(EE) intel(0): max_gtt_map_size: 48104kb.
(EE) intel(0): max_gtt_map_size: 48104kb.
(EE) intel(0): max_gtt_map_size: 48104kb.
(EE) intel(0): max_gtt_map_size: 47080kb.
(EE) intel(0): max_gtt_map_size: 47080kb.
(EE) intel(0): max_gtt_map_size: 47080kb.
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(WW) intel(0): Unknown vendor-specific block f
(EE) HP Bluetooth Laser Mobile Mouse: Failed to reopen device after 10 attempts.
(EE) intel(0): max_gtt_map_size: 55272kb.
(EE) intel(0): max_gtt_map_size: 55272kb.
(EE) HP Bluetooth Laser Mobile Mouse: Failed to reopen device after 10 attempts.
(EE) intel(0): max_gtt_map_size: 55272kb.
(EE) intel(0): max_gtt_map_size: 55272kb.
(EE) HP Bluetooth Laser Mobile Mouse: Failed to reopen device after 10 attempts.
(EE) HP Bluetooth Laser Mobile Mouse: Failed to reopen device after 10 attempts.
(EE) intel(0): max_gtt_map_size: 55272kb.
(EE) intel(0): max_gtt_map_size: 55272kb.
(EE) HP Bluetooth Laser Mobile Mouse: Failed to reopen device after 10 attempts.
(EE) HP Bluetooth Laser Mobile Mouse: Failed to reopen device after 10 attempts.
(EE) intel(0): max_gtt_map_size: 55272kb.
(EE) intel(0): max_gtt_map_size: 55272kb.
(EE) HP Bluetooth Laser Mobile Mouse: Failed to reopen device after 10 attempts.
(EE) HP Bluetooth Laser Mobile Mouse: Failed to reopen device after 10 attempts.
bradford:~$
Comment 7 Jeremy Fitzhardinge 2009-07-16 13:22:26 EDT
Mouse is fine.  Those messages are probably just from it going to sleep when idle.

I think this hints at the problem:

(II) intel(0): Output LVDS1 connected
(II) intel(0): Output DVI1 connected
(II) intel(0): Output DVI2 connected

LVDS1 is indeed connected, because that's the internal display, but DVI[12] are not connected (there are no visible DVI connectors on the machine, but I guess I can get DVI with some adapter or dock).  The lack of EDID for those outputs indicates there's no monitor, but the X server just comes up with some default modelines for them anyway, and ends up trying to use 1024x768.
Comment 8 Ralf Ertzinger 2009-07-17 02:56:15 EDT
The driver in current rawhide does not have this problem. It knows even more displays, but all of them are disabled (except of the ones that really 

And yes, the docking station for the X200 series does have a DVI socket.
Comment 9 Jeremy Fitzhardinge 2009-07-17 13:34:35 EDT
Is this update heading in F11's direction?
Comment 11 Matěj Cepl 2009-11-05 13:32:29 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Bug Zapper 2010-04-27 11:02:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 09:06:32 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.